> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mightynetworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns details of a specific poll or question



## OpenAPI

````yaml https://api.mn.co/admin/v1/spec.json get /admin/v1/networks/{network_id}/polls/{id}/
openapi: 3.1.0
info:
  version: 1.0.0
  title: The Mighty Networks Admin API
  description: An API for managing your Mighty Networks network
servers:
  - url: https://api.mn.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Members
    description: Manage members of your network
  - name: Courseworks
    description: Manage course content (lessons, quizzes, sections)
  - name: Reactions
    description: Manage reactions on comments
  - name: Mute
    description: Mute posts for users
  - name: Comments
    description: Manage comments on posts
  - name: Invites
    description: Invites allow you to invite users to your network
  - name: Tags
    description: Manage tags for your network
  - name: Spaces
    description: >-
      Spaces are the organizational units within a Network where content and
      members are organized
  - name: Plans
    description: Manage plans in your network
  - name: PasswordResets
    description: Manage member password resets
  - name: Badges
    description: Manage badges for your network
  - name: Rsvps
    description: Manage event RSVPs for your network
  - name: Options
    description: Manage dropdown custom field options
  - name: Answers
    description: Manage member responses to custom fields
  - name: Subscriptions
    description: >-
      Manage payment subscriptions - recurring payments from members to hosts
      for plans
  - name: Purchases
    description: Manage purchases and subscriptions for your network
  - name: Posts
    description: Posts also include Articles.
  - name: Polls
    description: >-
      Polls and Questions allow members to share opinions and engage with each
      other
  - name: Networks
    description: >-
      Networks are the top-level organizational unit under which other resources
      are nested
  - name: Me
    description: Metadata about the requesting user
  - name: Events
    description: Events are scheduled gatherings that members can RSVP to and engage with
  - name: CustomFields
    description: Manage custom fields for your network
  - name: Collections
    description: Manage collections in your network
  - name: Assets
    description: Manage assets for your network
  - name: AbuseReports
    description: Manage abuse reports for your network
paths:
  /admin/v1/networks/{network_id}/polls/{id}/:
    get:
      tags:
        - Polls
      summary: Returns details of a specific poll or question
      operationId: show_poll
      parameters:
        - name: id
          in: path
          required: true
          description: ID of the poll or question
          schema:
            type: integer
            format: uint64
        - $ref: '#/components/parameters/networkId'
      responses:
        '200':
          description: Returns the poll or question details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PollResponse'
        '404':
          description: Poll or question not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    networkId:
      name: network_id
      in: path
      description: The Network's unique integer ID, or subdomain
      required: true
      schema:
        oneOf:
          - type: integer
            description: Unique numeric network ID
            format: uint64
          - type: string
            description: Network subdomain
            format: /^[a-z][a-z0-9-]+$/
  schemas:
    PollResponse:
      description: A poll or question post
      type: object
      required:
        - comments_enabled
        - created_at
        - creator
        - id
        - permalink
        - post_type
        - space
        - status
        - title
        - updated_at
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-07-14T19:59:54+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-07-14T19:59:54+00:00'
        post_type:
          type: string
          description: The type of post (poll or question)
        poll_type:
          type: string
          description: >-
            The specific poll type (multiple_choice_poll, hot_cold_poll,
            percentage_poll)
        title:
          type: string
          description: The poll question/title
        description:
          type: string
          description: The full description of the poll
        creator:
          $ref: '#/components/schemas/UserResponse'
          description: The member who created the poll
        space:
          $ref: '#/components/schemas/SpaceResponse'
          description: The space where the poll was created
        images:
          type: array
          description: Array of image URLs associated with the poll
          items:
            type: string
        choices:
          type: array
          description: The poll choices (for polls with choices)
          items:
            $ref: '#/components/schemas/PollChoiceResponse'
        status:
          type: string
          description: The post's current status
        published_at:
          type: string
          format: date-time
          description: The date the post was published
          example: '2026-07-14T19:59:55+00:00'
        permalink:
          type: string
          description: The permanent URL to the poll
        comments_enabled:
          type: boolean
          description: Whether or not comments are enabled on this poll
        last_activity_at:
          type: string
          format: date-time
          description: The time of last activity on the poll
          example: '2026-07-14T19:59:55+00:00'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: An error message explaining the problem encountered
    UserResponse:
      type: object
      required:
        - admin
        - created_at
        - email
        - id
        - name
        - short_bio
        - updated_at
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-07-14T19:59:54+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-07-14T19:59:54+00:00'
        name:
          type: string
          description: The user's full name
        email:
          type: string
          format: email
          description: The user's email address
          example: ada.lovelace@example.com
        short_bio:
          type: string
          description: A short biography of the user
        admin:
          type: boolean
          description: Whether or not the user is an admin of the network
    SpaceResponse:
      type: object
      required:
        - created_at
        - id
        - name
        - updated_at
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-07-14T19:59:54+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-07-14T19:59:54+00:00'
        name:
          type: string
          description: The Space's name
        collection_id:
          type: integer
          format: uint64
          description: The ID of the collection this space belongs to
    PollChoiceResponse:
      description: A choice option in a multiple choice poll
      type: object
      required:
        - id
        - text
      properties:
        id:
          type: string
          description: The choice ID
        text:
          type: string
          description: The choice text
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````